<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Тестовое задание: Cписок членов класса</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Тестовое задание
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Титульная&#160;страница</span></a></li>
      <li class="current"><a href="annotated.html"><span>Классы</span></a></li>
      <li><a href="files.html"><span>Файлы</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Классы</span></a></li>
      <li><a href="classes.html"><span>Алфавитный&#160;указатель&#160;классов</span></a></li>
      <li><a href="functions.html"><span>Члены&#160;классов</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">DataBlob Cписок членов класса</div>  </div>
</div><!--header-->
<div class="contents">

<p>Полный список членов класса <a class="el" href="class_data_blob.html">DataBlob</a>, включая наследуемые из базового класса</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_data_blob.html#a9b4f7b3499cc73db7e05182f0a07526e">DataBlob</a>(uint64_t blockSize, uint32_t blobSize)</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_data_blob.html#a9542f97660974ad6c323fa95db995a35ad6e98cd11371fc20c9848869d1dded4a">ERR_BLOB_IS_FULL</a> элементы перечисления</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_data_blob.html#a9542f97660974ad6c323fa95db995a35ad2e9575e6d11ffea6f7feef53060a16b">ERR_BLOB_IS_RO</a> элементы перечисления</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_data_blob.html#a9542f97660974ad6c323fa95db995a35a7246f700ffa6b22526808cd5c2ea7399">ERR_BLOB_NOT_OPENED</a> элементы перечисления</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_data_blob.html#a9542f97660974ad6c323fa95db995a35">errs</a> перечисление</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_data_blob.html#ae4e775c824396a7c1d2e659d446342bf">getBlock</a>(uint64_t blockPos, char *blockData)</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_data_blob.html#aab73e4531543bbc630eb73eddb8b7782">getFilename</a>()</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_data_blob.html#af5fc4605df9eae3c7a82a9fa2357e5fc">getPosition</a>()</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_data_blob.html#aa258a2624b31643a2dcc24618709fe43">open</a>(string fileName)</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_data_blob.html#a2e46cd3e5128b1a5e166032ac0c3bb2c">putBlock</a>(const char *blockData)</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_data_blob.html#a9542f97660974ad6c323fa95db995a35ae8d722cb862d40233524fc6cc3108daf">SUCCESS</a> элементы перечисления</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_data_blob.html#a06864e678f669fcf8b06437a0bde6932">~DataBlob</a>()</td><td class="entry"><a class="el" href="class_data_blob.html">DataBlob</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Документация по Тестовое задание. Последние изменения: Вт 13 Сен 2016 20:23:58. Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
